package cn.com.taiji.track.service;

import cn.com.taiji.track.entity.ShipStatusEntity;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * @author kok20
 */
public interface IShipStatusService extends IService<ShipStatusEntity> {

    void pushOffLineDeviceId(String deviceId);

    void cacheToMySql();

    void pushOnLineDeviceId(String deviceId);

    void anchorCacheToMySql();

    void pushAnchorDeviceId(String deviceId, String start);
}
